apiVersion: batch/v1
kind: CronJob
metadata:
  name: allowlist
spec:
  schedule: "* * * * *"
  jobTemplate:
    spec:
      template:
        spec:
          containers:
          - name: curl
            image: alpine/curl:3.14
            imagePullPolicy: IfNotPresent
            envFrom:
            - secretRef:
                name: gitlab-allowlist-token
            command: ["/bin/sh", "-eu", "-o", "pipefail", "-c"]
            args:
            - |
              for SHARD in canary shared; do
                TMP=$(mktemp)
                /usr/bin/curl --fail --silent --show-error --location --header 'PRIVATE-TOKEN: $(GITLAB_TOKEN)' https://gitlab.com/api/v4/projects/35880385/repository/files/$SHARD/raw?ref=main > $TMP
                chmod 0755 $TMP
                mv $TMP /allowlist/$SHARD
                echo "Downloaded allowlist for $SHARD"
              done
            volumeMounts:
            - name: allowlist
              mountPath: /allowlist
          volumes:
          - name: allowlist
            persistentVolumeClaim:
              claimName: allowlist
          restartPolicy: OnFailure
